Skip to content
  • PortalQueryParametersForGroups
  • class Esri::ArcGISRuntime::PortalQueryParametersForGroups

    The query parameters suitable for finding groups contained in a portal. More...

    Header: #include <PortalQueryParametersForGroups.h>
    Since: Esri::ArcGISRuntime 100.0
    Inherits: Esri::ArcGISRuntime::PortalQueryParameters

    Public Functions

    PortalQueryParametersForGroups()
    PortalQueryParametersForGroups(const Esri::ArcGISRuntime::Envelope &boundingBox)
    PortalQueryParametersForGroups(const Esri::ArcGISRuntime::PortalQueryParameters &other)
    PortalQueryParametersForGroups(const QString &query)
    PortalQueryParametersForGroups(const QString &query, const Esri::ArcGISRuntime::Envelope &boundingBox)
    PortalQueryParametersForGroups(const QString &owner, const QString &title)
    PortalQueryParametersForGroups(const QString &query, int limit)
    PortalQueryParametersForGroups(const Esri::ArcGISRuntime::PortalQueryParametersForGroups &other)
    PortalQueryParametersForGroups(Esri::ArcGISRuntime::PortalQueryParametersForGroups &&other)
    virtual ~PortalQueryParametersForGroups() override
    QString owner() const
    void setOwner(const QString &owner)
    void setTitle(const QString &title)
    QString title() const
    Esri::ArcGISRuntime::PortalQueryParametersForGroups &operator=(Esri::ArcGISRuntime::PortalQueryParametersForGroups &&other)
    Esri::ArcGISRuntime::PortalQueryParametersForGroups &operator=(const Esri::ArcGISRuntime::PortalQueryParameters &other)
    Esri::ArcGISRuntime::PortalQueryParametersForGroups &operator=(const Esri::ArcGISRuntime::PortalQueryParametersForGroups &other)

    Detailed Description

    Methods are provided for a number of particular parameters: owner and title.

    A typical usage pattern is:

    1. Create a new PortalQueryParametersForGroups object.
    2. Optionally set one or more of the properties.
    3. Use the object by passing it to findGroupsAsync.
    4. Optionally call nextQueryParameters to get a new PortalQueryParametersForGroups object that can be used to fetch the next batch of results.

    See also Portal, PortalGroup, and PortalQueryResultSetForGroups.

    Member Function Documentation

    [explicit] PortalQueryParametersForGroups::PortalQueryParametersForGroups()

    Default constructor.

    [explicit] PortalQueryParametersForGroups::PortalQueryParametersForGroups(const Esri::ArcGISRuntime::Envelope &boundingBox)

    Constructor that accepts a bounding box (boundingBox).

    [explicit] PortalQueryParametersForGroups::PortalQueryParametersForGroups(const Esri::ArcGISRuntime::PortalQueryParameters &other)

    Copy constructor from other PortalQueryParameters.

    [explicit] PortalQueryParametersForGroups::PortalQueryParametersForGroups(const QString &query)

    Constructor that accepts a query string.

    [explicit] PortalQueryParametersForGroups::PortalQueryParametersForGroups(const QString &query, const Esri::ArcGISRuntime::Envelope &boundingBox)

    Constructor that accepts a query string and a bounding box (boundingBox).

    [explicit] PortalQueryParametersForGroups::PortalQueryParametersForGroups(const QString &owner, const QString &title)

    Constructor that accepts an owner name and a group title.

    [explicit] PortalQueryParametersForGroups::PortalQueryParametersForGroups(const QString &query, int limit)

    Constructor that accepts a query string and a limit on the number of results to return.

    PortalQueryParametersForGroups::PortalQueryParametersForGroups(const Esri::ArcGISRuntime::PortalQueryParametersForGroups &other)

    Copy constructor from other PortalQueryParametersForGroups.

    [noexcept] PortalQueryParametersForGroups::PortalQueryParametersForGroups(Esri::ArcGISRuntime::PortalQueryParametersForGroups &&other)

    Move constructor from other PortalQueryParametersForGroups.

    [override virtual noexcept] PortalQueryParametersForGroups::~PortalQueryParametersForGroups()

    Destructor.

    QString PortalQueryParametersForGroups::owner() const

    Returns the username of the PortalUser who is the owner.

    See also setOwner() and PortalUser.

    void PortalQueryParametersForGroups::setOwner(const QString &owner)

    Set the owner to to use when searching.

    See also owner() and PortalUser.

    void PortalQueryParametersForGroups::setTitle(const QString &title)

    Sets the title title of the specific PortalGroup to be searched for.

    See also title().

    QString PortalQueryParametersForGroups::title() const

    Returns title of the specific PortalGroup.

    See also setTitle().

    [noexcept] Esri::ArcGISRuntime::PortalQueryParametersForGroups &PortalQueryParametersForGroups::operator=(Esri::ArcGISRuntime::PortalQueryParametersForGroups &&other)

    Move operator from other PortalQueryParametersForGroups.

    Esri::ArcGISRuntime::PortalQueryParametersForGroups &PortalQueryParametersForGroups::operator=(const Esri::ArcGISRuntime::PortalQueryParameters &other)

    Move operator from other PortalQueryParameters.

    Esri::ArcGISRuntime::PortalQueryParametersForGroups &PortalQueryParametersForGroups::operator=(const Esri::ArcGISRuntime::PortalQueryParametersForGroups &other)

    Assignment operator from other PortalQueryParametersForGroups.

    Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.